package com.reyun.service;

import com.reyun.model.Account;
import com.reyun.model.Event4Web;
import com.reyun.model.VirtualEvent;

import java.util.List;

/**
 * Created by song on 2017/9/4.
 */
public interface VirtualEventService {
    List<VirtualEvent> findEventList(Long appId, Account account);

    VirtualEvent updateEvent(Long appId, Account account, VirtualEvent virtualEvent);

    List<Event4Web> findActiveEventList(Long appId, Long activeEventId);

    List<Event4Web> unselectedEvent(Long app);

    VirtualEvent userDefineVirtual(Long appId,VirtualEvent virtualEvent,Account account);

    List<VirtualEvent> findCustomEventList(Long appId, Account loginAccount);

    List<VirtualEvent> enableEvent(Long id);

    List<VirtualEvent> disableEvent(Long id);

    String findVirtualEvents(String virtualEventId);

    List<String> findVirtualEventList(String virtualEventId);

    VirtualEvent getVirtualEvent(String appKey, String eventChName);

}
